from requests_oauthlib import OAuth2Session
from utils.config import CLIENT_ID, AUTHORIZATION_BASE_URL, TOKEN_URL, REDIRECT_URI

session = OAuth2Session(CLIENT_ID, redirect_uri=REDIRECT_URI)
auth_url, state = session.authorization_url(AUTHORIZATION_BASE_URL)
print("Åpne følgende URL i nettleser:", auth_url)

# Forenklet flyt
redirect_response = input("Lim inn redirect-URL her: ")
token = session.fetch_token(TOKEN_URL, authorization_response=redirect_response)
